<?php
/**
*
* @package Show XLS Attachments Inline / Highslide
* @version $Id: xls.php 2011-08-14 22:27:10Z 4seven $
* @copyright (c) 4seven / 2011
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Enter the language encoding  ( 1 or 2 )
// 1 for english and german with umlauts
// 2 for cyrillic, thai, and other foreign languages
$namespace = 1;
// Leave the rest

if (request_var('xls', '', true)){

$xls_name = request_var('xls', '');

$file_to_include = $phpbb_root_path . 'files/xls/' . $xls_name;

require_once 'reader.php';
$excel = new Spreadsheet_Excel_Reader();
$excel->setOutputEncoding('UTF-8');
$excel->read($file_to_include);    	
	
header('Content-Type: text/html; charset=utf-8');	
	
echo '<html> 
      <head>
      <style type="text/css">
	
		body{
    	background: #F6F4D0;
		margin: 0;
		border: none;
		overflow: auto;
		}
    table {
    	border-collapse: collapse;
    }        
    td {
    	border: 1px solid #999999;
    	padding: 0 0.5em;
    } 
	
    tr {
    	background: #E1EBF2;
    } 	
    </style>
    </head>
    <body>
    <table>';

    $x=1;
	
    while($x<=$excel->sheets[0]['numRows']) {
      echo "\t<tr>\n";
	  
      $y=1;
	  
      while($y<=$excel->sheets[0]['numCols']) {
	  
      $cell = isset($excel->sheets[0]['cells'][$x][$y]) ? $excel->sheets[0]['cells'][$x][$y] : '';
	  
      if ($namespace == 1) {
      $cell = @iconv('Windows-1252', 'UTF-8//TRANSLIT', $cell);	  
      $cell = str_replace(array('â‚¬','Ã¶','Ã¼','ÃŸ'), array('€','ö','ü','ß'),$cell);}
      else if ($namespace == 2) {
      $cell = @mb_convert_encoding($cell, "UTF-8");}

        echo "\t\t<td>$cell</td>\n";  
        $y++;
      }  
      echo "\t</tr>\n";
      $x++;
    }
	
	echo '</table>
  </body>
</html>';

}

?>